Bug 206614 - Switching between internal and external display corrupts output
Switching between internal and external display corrupts output
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 06:00 EDT by Phil Knirsch
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2006-09-15 06:00:38 EDT
Description of problem:

When running the latest FC-devel on my Dell D620 with a nVidia GeForce Go 7300
graphics card when i start switching between internal and external displays via
the special key while running X11 the display gets corrupted over time.

The effects start with changed and totally screwed resolutions displayed, going
then over after a few more switches to garbled graphics and screwed resolutions.
Sometimes i even get both screens still showing something.

Version-Release number of selected component (if applicable):

xorg-x11-drivers-7.1-3
xorg-x11-drv-nv-1.2.0-4.fc6
kernel-2.6.17-1.2630.fc6
glibc-2.4.90-29

01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 110M / GeForce
Go 7300 (rev a1) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device 01c2
        Flags: bus master, fast devsel, latency 0, IRQ 9
        Memory at dd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at de000000 (64-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at df000000 [disabled] [size=128K]
        Capabilities: <access denied>


How reproducible:

Always 

Steps to Reproduce:
1. Install FC-devel on a laptop with above mentioned graphics card.
2. Switch displays from internal to extern with special key.
3. Watch the show! :)
  
Actual results:

Display/resolution gets garbled over time

Expected results:

Switching displays shouldn't garble things and keep things in a sane state.
Comment 1 Matthew Miller 2007-04-06 12:27:22 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Matěj Cepl 2007-07-11 17:41:45 EDT
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates of your distribution (Fedora or RHEL)?

If you won't reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-07-12 10:47:40 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.